1
Romainfr
Update from 1.3.10. to 2.0.4.
  • 2003/10/6 20:48

  • Romainfr

  • Just popping in

  • Posts: 4

  • Since: 2003/10/6


Hello !

I'd like to know if it's possible to update the MySQL from 1.3.10 to 2.0.4.. Philou tried to help me, but it seems there's a problem to access on the main page.

OK to tape log and pass, but after, XOOPS tell me immediatly that i have no right to acces to main page (News is present on main page) .

Please, help us !!

2
MoxLotus
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/9 11:05

  • MoxLotus

  • Just popping in

  • Posts: 4

  • Since: 2011/4/9 1


I'd like to do exactly the same thing.

Anyone knows how the update would be possible ?

Many thanks.
MoxLotus

3
phppp
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 0:48

  • phppp

  • XOOPS Contributor

  • Posts: 2857

  • Since: 2004/1/25


You wanna upgrade MySQL or upgrade XOOPS?

4
MoxLotus
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 10:45

  • MoxLotus

  • Just popping in

  • Posts: 4

  • Since: 2011/4/9 1


Indeed, it seems that I've misread the first post, sorry about that. I'm not trying to update MySQL but I'm trying to update Xoops.

I've been searching around and I can't find anything about thoses older versions of Xoops ...

Thanks for your help !

5
jlm69
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 12:34

  • jlm69

  • Module Developer

  • Posts: 719

  • Since: 2002/7/19


Do you have the upgrade patch from 1.3.10 to 2.0?

Can you set your homepage to none before your upgrade, or in the database?

The best way to do an upgrade like that is to deactivate (NOT UNINSTALL) all modules except the system module, then activate them one by one after the upgrade to see which ones will might you trouble.

John

6
MoxLotus
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 14:26

  • MoxLotus

  • Just popping in

  • Posts: 4

  • Since: 2011/4/9 1


Ok for the modules.

But I just can't find the patch from any 1.3.x to any 2.x.
It seems that no one has anything on the 1.3 versions ... That's why I'm asking for your help, is there even one ?

7
jlm69
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 15:32

  • jlm69

  • Module Developer

  • Posts: 719

  • Since: 2002/7/19


There was one, but I can't find it either.
Maybe someone that has it will see this and make it available.

Do you have a lot of users?


John

8
MoxLotus
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 16:11

  • MoxLotus

  • Just popping in

  • Posts: 4

  • Since: 2011/4/9 1


Ah, that's already one good news then

Its a 25 year old student community that has 200 hundred members on the website since 2002, and it's still being used every day (most of them still come for news and infos about other members). We just thought it might be time to (finally!) put it up to date ...

I'll keep looking then, but it really seems that the internet has forgotten everything about Xoops before 2.0

9
jlm69
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 18:19

  • jlm69

  • Module Developer

  • Posts: 719

  • Since: 2002/7/19


I believe a while ago someone hacked into Xoops and they lost all that stuff. It has been rebuilt since then. The only thing I don't see is an upgrade patch from 1. to 2.

If all you need is to get the users transfered it doesn't look like it would be to bad.

Do you have a new site made?

If not, you should set one up, then try to import the old users tables (there are 2 for your version) to the new users table(only one in newer versions).

If that works O.K. then move to the modules part. using the modules you want. If using newer versions of the old mods then you can usually do an upgrade from the old module database. You could do that first.

If you need a hand converting the old users table to the new one, maybe I can help.

John


P.S. TO EVERYONE
This is why you really should not let your Xoops Sites get to old, Keep them up to date, no more than 2 final versions out of date.






10
Mamba
Re: Update from 1.3.10. to 2.0.4.
  • 2011/4/10 21:17

  • Mamba

  • Moderator

  • Posts: 11200

  • Since: 2004/4/23


Quote:
This is why you really should not let your Xoops Sites get to old, Keep them up to date, no more than 2 final versions out of date.

Couldn't agree more!
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Login

Username:
Password:

Lost Password? Register now!

Who's Online

59 user(s) are online (41 user(s) are browsing Support Forums)


Members: 1


Guests: 58


Mamba,

more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Nov 30
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits